// Project Sword & Gun Copyright © 2021 Kevin Poretti

#include "States/SNGStateMachineTypeActions.h"
#include "States/SNGStateMachine.h"
#include "States/SNGStateMachineEditor.h"

FSNGStateMachineTypeActions::FSNGStateMachineTypeActions(EAssetTypeCategories::Type InAssetCategory)
	: StateMachineAssetCategory(InAssetCategory)
{
}

FText FSNGStateMachineTypeActions::GetName() const
{
	return FText::FromString("SNG State Machine");
}

FColor FSNGStateMachineTypeActions::GetTypeColor() const
{
	return FColor::Turquoise;
}

UClass* FSNGStateMachineTypeActions::GetSupportedClass() const
{
	return USNGStateMachine::StaticClass();
}

/*
void FSNGStateMachineTypeActions::OpenAssetEditor(const TArray<UObject*>& InObjects,
	TSharedPtr<IToolkitHost> EditWithinLevelEditor)
{
	EToolkitMode::Type Mode = EditWithinLevelEditor.IsValid() ? EToolkitMode::WorldCentric : EToolkitMode::Standalone;

	for(UObject* Object: InObjects)
	{
		if(USNGStateMachine* StateMachine = Cast<USNGStateMachine>(Object))
		{
			
			TSharedRef<FSNGStateMachineEditor> NewStateMachineEditor(new FSNGStateMachineEditor());
			NewStateMachineEditor->InitStateMachineEditor(Mode, EditWithinLevelEditor, StateMachine);
		}
	}
}
*/

uint32 FSNGStateMachineTypeActions::GetCategories()
{
	return StateMachineAssetCategory;
}
